org.eclipse.aether.internal.impl

## Class CacheUtils

- java.lang.Object
- - org.eclipse.aether.internal.impl.CacheUtils

- Deprecated.
  To be deleted without replacement.

      @Deprecated
      public final class CacheUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheUtils()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> boolean` | `eq(T s1, T s2)` Deprecated.
    `static ArtifactRepository` | `getRepository(RepositorySystemSession session, List<RemoteRepository> repositories, Class<?> repoClass, String repoId)` Deprecated.
    `static WorkspaceRepository` | `getWorkspace(RepositorySystemSession session)` Deprecated.
    `static int` | `hash(Object obj)` Deprecated.
    `static boolean` | `repositoriesEquals(List<RemoteRepository> r1, List<RemoteRepository> r2)` Deprecated.
    `static int` | `repositoriesHashCode(List<RemoteRepository> repositories)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheUtils

          public CacheUtils()

      Deprecated.

  - ### Method Detail

    - #### eq

          public static <T> boolean eq(T s1,
                       T s2)

      Deprecated.

    - #### hash

          public static int hash(Object obj)

      Deprecated.

    - #### repositoriesHashCode

          public static int repositoriesHashCode(List<RemoteRepository> repositories)

      Deprecated.

    - #### repositoriesEquals

          public static boolean repositoriesEquals(List<RemoteRepository> r1,
                                   List<RemoteRepository> r2)

      Deprecated.

    - #### getWorkspace

          public static WorkspaceRepository getWorkspace(RepositorySystemSession session)

      Deprecated.

    - #### getRepository

          public static ArtifactRepository getRepository(RepositorySystemSession session,
                                         List<RemoteRepository> repositories,
                                         Class<?> repoClass,
                                         String repoId)

      Deprecated.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.